# Copyright 2019 by 蔡老师科技早教
# All rights reserved.
# 请关注公众号：蔡老师科技早教
# 并且访问教程官网，获取更多资源：scratchlesson.com

encrypt_dict = {
    "x" : "a",
    "y" : "b",
    "z" : "c",
    "X" : "A",
    "Y" : "B",
    "Z" : "C"
    }

decrypt_dict = {
    "a" : "x",
    "b" : "y",
    "c" : "z",
    "A" : "X",
    "B" : "Y",
    "C" : "Z"
    }

# 位移函数
def shift_character(in_character, shift):
    return chr(ord(in_character) + shift)

# 做加密的部分
def encrypt_caesar(input_string):
    encrypted = ""
    for character in input_string:
        # 查看是否是字母
        if character.isalpha():
            if character in encrypt_dict.keys():
                encrypted = encrypted + encrypt_dict[character]
            else:
                encrypted = encrypted + shift_character(character, 3)
        # 空格、标点符号，保持不变
        else:
            encrypted = encrypted + character
    return encrypted

def decrypt_caesar(input_string):
    decrypted = ""
    for character in input_string:
        if character.isalpha():
            if character in decrypt_dict.keys():
                decrypted = decrypted + decrypt_dict[character]
            else:
                decrypted = decrypted + shift_character(character, -3)
        else:
            decrypted = decrypted + character
    return decrypted
    
mystring = input("请输入要加密的句子：")
encrypted = encrypt_caesar(mystring)
print("加密后：{0}".format(encrypted))
#encrypted = input("请输入要解密的句子：")
decrypted = decrypt_caesar(encrypted)
print("解密后：{0}".format(decrypted))
