# Copyright 2019 by 蔡老师科技早教
# All rights reserved.
# 请关注公众号：蔡老师科技早教
# 并且访问教程官网，获取更多资源：scratchlesson.com

# 位移函数
def shift_character(in_character, shift):
    char_ascii = ord(in_character)
    new_char_ascii = char_ascii + shift

    if in_character.islower():
        if new_char_ascii > ord("z"):
            new_char_ascii = new_char_ascii - 26
        elif new_char_ascii < ord("a"):
            new_char_ascii = new_char_ascii + 26
    else:
        if new_char_ascii > ord("Z"):
            new_char_ascii = new_char_ascii - 26
        elif new_char_ascii < ord("A"):
            new_char_ascii = new_char_ascii + 26

    return chr(new_char_ascii)

# 做加密的部分
def encrypt_caesar(input_string, shift):
    encrypted = ""
    for character in input_string:
        # 查看是否是字母
        if character.isalpha():
            encrypted = encrypted + shift_character(character, shift)
        # 空格、标点符号，保持不变
        else:
            encrypted = encrypted + character
    return encrypted

def decrypt_caesar(input_string, shift):
    decrypted = ""
    for character in input_string:
        if character.isalpha():
            decrypted = decrypted + shift_character(character, -shift)
        else:
            decrypted = decrypted + character
    return decrypted
    
#mystring = input("请输入要加密的句子：")
#encrypted = encrypt_caesar(mystring)
#print("加密后：{0}".format(encrypted))
encrypted = input("请输入要解密的句子：")
for shift in range(26):
    decrypted = decrypt_caesar(encrypted, shift)
    print("秘钥是{0}, 解密后：{1}".format(shift, decrypted))
